Retrieve Product Ratings

Retrieve product ratings from the site

Use this endpoint to grab a product's rating from a store if you only have the store's domain/url:

Retrieve Product Ratings

get

Retrieve a specific product's aggregate rating information (average rating and rating/review count).

Authorizations
api_keystringRequired

You can find your partner API key in your partner portal dashboard.

Path parameters
idstringRequired

Product ID want to retrieve the rating for. External product ID is also accepted here.

Example: fpro_12ab
Query parameters
domainstringRequired

Domain, URL, public key or Fera ID of the shop/store.

Example: example.myshopify.com
Responses
chevron-right
200

Successful response

application/json
subjectstring Β· enumOptional

What is this content about - a specific product, or the store (overall experience)?

Possible values:
external_product_idstringOptional

Related external product ID (usually the Wix, Shopify or other eCommerce platform product ID).

Example: 12345678
product_idstringOptional

Related Fera product ID.

Example: fpro_12ab
averagenumber Β· floatRead-onlyOptional

Average rating of the subject (product or store). Only approved reviews/ratings are included in this count.

Example: 4.8
countnumber Β· int32Read-onlyOptional

Total number of reviews received about the subject (product or store). Only approved reviews/ratings are included in this count.

Example: 123
ungrouped_averagenumber Β· floatRead-onlyOptional

Average product rating without product grouping applied.

Example: 4.7
ungrouped_countnumber Β· int32Read-onlyOptional

Total number of product reviews/ratings without product grouping applied.

Example: 12
get
/stores/products/{id}/rating

Code Examples

Last updated